* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}

body {
  height: 100dvh;
  font-family: "Inter", sans-serif;
  font-style: normal;
  line-height: normal;
  color: #000000;
  touch-action: none;
}

.scroll_layout {
  overflow: overlay;
  max-width: calc(100vw - 32px);
}
.scroll_layout::-webkit-scrollbar {
  width: 8px;
  height: 8px;
}
.scroll_layout::-webkit-scrollbar-thumb {
  background-color: hsla(0, 0%, 42%, 0.29);
  border-radius: 100px;
}

input[type=text], input[type=password], input[type=date], input[type=number] {
  display: block;
  padding: 16px;
  font-weight: 500;
  font-size: 16px;
  white-space: nowrap;
  border: 1px solid #E8E8E8;
  border-radius: 8px;
  background-color: #FFFFFF;
}
input[type=text]:focus, input[type=password]:focus, input[type=date]:focus, input[type=number]:focus {
  outline: none;
  border-color: #5DB075;
  box-shadow: 0 0 0 2px rgba(93, 176, 117, 0.2);
}
input[type=text]:disabled, input[type=password]:disabled, input[type=date]:disabled, input[type=number]:disabled {
  background-color: #E8E8E8;
}

button, input[type=button] {
  width: auto;
  max-width: 343px;
  padding: 16px;
  text-align: center;
  font-weight: 600;
  font-size: 16px;
  color: #FFFFFF;
  border-radius: 100px;
  border: 1px solid #5DB075;
  background: #5DB075;
  cursor: pointer;
}
button:hover, input[type=button]:hover {
  background: #54c274;
  box-shadow: 0 0 0 2px rgba(93, 176, 117, 0.2);
}
button.danger, input[type=button].danger {
  background: #BA3B46;
  border: 1px solid #BA3B46;
}
button.danger:hover, input[type=button].danger:hover {
  background: #c54551;
  box-shadow: 0 0 0 2px rgba(186, 59, 70, 0.2);
}
button.cancel, button:disabled, button[disabled], input[type=button].cancel, input[type=button]:disabled, input[type=button][disabled] {
  background: #8E8E8E;
  border: 1px solid #8E8E8E;
}
button.cancel:hover, input[type=button].cancel:hover {
  background: #6A6A6A;
  box-shadow: 0 0 0 2px rgba(142, 142, 142, 0.2);
}
button:disabled, input[type=button]:disabled {
  cursor: not-allowed;
  box-shadow: none;
}
button.img_button, input[type=button].img_button {
  all: initial;
  width: min-content;
  height: min-content;
  background: none;
  border: none;
  cursor: pointer;
}
button.img_button:hover, input[type=button].img_button:hover {
  background-color: #D9D9D9;
  border-radius: 4px;
}

img.rotate_90 {
  transform: rotate(90deg);
}
img.rotate_180 {
  transform: rotate(180deg);
}
img.rotate_270 {
  transform: rotate(270deg);
}